package eu.etaxonomy.taxeditor.prototype1;

//import org.eclipse.core.databinding.DataBindingContext;
//import org.eclipse.core.databinding.beans.BeansObservables;
//import org.eclipse.core.databinding.observable.value.IObservableValue;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.swt.graphics.Image;
import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.osgi.framework.BundleContext;

import eu.etaxonomy.cdm.api.application.CdmApplicationController;
import eu.etaxonomy.taxeditor.prototype1.model.ObjectList;

/**
 * The activator class controls the plug-in life cycle
 */
public class Activator extends AbstractUIPlugin {

	// The plug-in ID
	public static final String PLUGIN_ID = "eu.etaxonomy.mvctest";

	// The shared instance
	private static Activator plugin;
	
	private CdmApplicationController cdmApp = new CdmApplicationController();
	private ObjectList taxonList = new ObjectList();
	private ObjectList recentNamesList = new ObjectList();
		
	/**
	 * The constructor
	 */
	public Activator() {
		taxonList.setObjectList(cdmApp.getNameService().getAllNames());
	}


	/*
	 * (non-Javadoc)
	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
	 */
	public void start(BundleContext context) throws Exception {
		super.start(context);
		plugin = this;
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
	 */
	public void stop(BundleContext context) throws Exception {
		plugin = null;
		super.stop(context);
	}

	/**
	 * Returns the shared instance
	 *
	 * @return the shared instance
	 */
	public static Activator getDefault() {
		return plugin;
	}

	/**
	 * Returns an image descriptor for the image file at the given
	 * plug-in relative path
	 *
	 * @param path the path
	 * @return the image descriptor
	 */
	public static ImageDescriptor getImageDescriptor(String path) {
		return imageDescriptorFromPlugin(PLUGIN_ID, path);
	}
	
	
	public Image getImage(String key) {
		return getImageRegistry().get(key);
	}
	
	/**
     * @return the objectList
     */
//    public CdmApplicationController getApplicationController() {
//        return this.cdmApp;
//    }	
	
	
    /**
     * @return the objectList
     */
    public ObjectList getTaxonList() {
        return this.taxonList;
    }

	public ObjectList getRecentNamesList() {
		return this.recentNamesList;
	}	
}
