package eu.etaxonomy.taxeditor.prototype1.view;

import org.eclipse.jface.action.IToolBarManager;
import org.eclipse.jface.viewers.IStructuredContentProvider;
import org.eclipse.jface.viewers.ITableLabelProvider;
import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.jface.viewers.TableViewer;
import org.eclipse.jface.viewers.Viewer;
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Event;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Listener;
import org.eclipse.swt.widgets.Text;
import org.eclipse.ui.ISharedImages;
import org.eclipse.ui.PlatformUI;
import org.eclipse.ui.part.ViewPart;

import eu.etaxonomy.taxeditor.prototype1.controller.CreateNameAction;

public class CreateNameView extends ViewPart {
	private Text txtSpEpithet;
	private Text txtGenus;
	public static final String ID = "eu.etaxonomy.mvctest.view";

	/**
	 * This is a callback that will allow us to create the viewer and initialize
	 * it.
	 */
	public void createPartControl(Composite parent) {
		final GridLayout gridLayout = new GridLayout();
		gridLayout.numColumns = 2;
		parent.setLayout(gridLayout);

		final Label genusLabel = new Label(parent, SWT.NONE);
		genusLabel.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
		genusLabel.setText("Genus:");

		txtGenus = new Text(parent, SWT.BORDER);
		final GridData gd_txtGenus = new GridData(SWT.FILL, SWT.CENTER, true, false);
		txtGenus.setLayoutData(gd_txtGenus);

		final Label epithetLabel = new Label(parent, SWT.NONE);
		epithetLabel.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
		epithetLabel.setText("Epithet:");

		txtSpEpithet = new Text(parent, SWT.BORDER);
		final GridData gd_txtSpEpithet = new GridData(SWT.FILL, SWT.CENTER, true, false);
		txtSpEpithet.setLayoutData(gd_txtSpEpithet);
		new Label(parent, SWT.NONE);

		final Button saveNameButton = new Button(parent, SWT.NONE);
		
		saveNameButton.addListener(SWT.Selection, new Listener() {
            public void handleEvent(Event event) {
                new CreateNameAction(CreateNameView.this.txtGenus.getText(),
                		CreateNameView.this.txtSpEpithet.getText()).run();
            }
        });		
		
		final GridData gd_saveNameButton = new GridData(SWT.RIGHT, SWT.CENTER, false, false);
		saveNameButton.setLayoutData(gd_saveNameButton);
		saveNameButton.setText("Save Name");
		initializeToolBar();
	}

	/**
	 * Passing the focus request to the viewer's control.
	 */
	public void setFocus() {
	}
	private void initializeToolBar() {
		IToolBarManager toolBarManager = getViewSite().getActionBars().getToolBarManager();
	}
}