/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.actions.io;

import java.io.File;

import org.apache.log4j.Logger;
import org.eclipse.jface.action.Action;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.swt.widgets.FileDialog;

import eu.etaxonomy.cdm.database.ICdmDataSource;
import eu.etaxonomy.taxeditor.controller.GlobalController;
import eu.etaxonomy.taxeditor.datasource.CdmDataSourceRepository;

/**
 * @author p.ciardelli
 * @created 05.11.2008
 * @version 1.0
 */
public class ImportAction extends Action {
	private static final Logger logger = Logger.getLogger(ImportAction.class);

	private static String text = "Import ...";
	private ImageDescriptor image = null;
	public static final String ID = "eu.etaxonomy.taxeditor.actions.io.importaction"; //$NON-NLS-1$

	private FileDialog dialog;
	private File file;
//	private ImportWrapper importWrapper;
	
	private ImportAction() {
		super(text);
		setImageDescriptor(image);
		setId(ID);
	}

//	public ImportAction(ImportWrapper importWrapper) {
//		this();
//		
//		this.importWrapper = importWrapper;
//		setText(importWrapper.getLabel());
//	}

	
	@Deprecated
	public void run() {

		// Use same title "Import FORMAT" for all message dialogs
		String title = "Import " + getText();
		
		// Make sure user is aware of the implications of an import
		boolean doProceed = MessageDialog.openConfirm(GlobalController.getShell(), title, 
				"Import may require a great deal of time and system resources.\n\n" +
				"Are you sure you would like to proceed?");
		if (!doProceed) {
			return;
		}
		
		// Get file from user
		dialog = new FileDialog(GlobalController.getShell());
		String filePath = dialog.open();
		file = new File(filePath);
						
		// Get current data source
		ICdmDataSource destination = CdmDataSourceRepository.getDefault().getCurrentDataSource();
		
		// Get plugin application controller - from Anahit
//		CdmApplicationController app = TaxEditorPlugin.getDefault().getCdmApp();
//		TaxEditorPlugin.getDefault().commitTransaction();
//		TaxEditorPlugin.getDefault().getCdmApp().close();
		
		// Format file path 
		String source = null;
		try {
			source = file.toURI().toURL().toString();
			//source = file.toString();
		} catch (/*MalformedURL*/Exception e) {
			MessageDialog.openError(GlobalController.getShell(), title, "File could not be read.");
			return;
		}
		
		// Start import
//		boolean isSuccessfulImport = importWrapper.invoke(source, destination, null);
//		
//		// Tell user whether import was a success or a dismal failure
//		if (isSuccessfulImport) {
//			MessageDialog.openInformation(GlobalController.getShell(), title, "Import successful");
//			TreeController.getTreeViewer().refresh();
//		} else {
//			MessageDialog.openError(GlobalController.getShell(), title, "Import was unsuccessful.");
//		}
		
	}
}
