/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.actions.name;

import org.apache.log4j.Logger;
import org.eclipse.core.commands.operations.IUndoableOperation;
import org.eclipse.jface.action.Action;
import org.eclipse.jface.resource.ImageDescriptor;

import eu.etaxonomy.cdm.model.taxon.Taxon;
import eu.etaxonomy.cdm.model.taxon.TaxonRelationshipType;
import eu.etaxonomy.taxeditor.ITaxEditorConstants;
import eu.etaxonomy.taxeditor.TaxEditorPlugin;
import eu.etaxonomy.taxeditor.controller.EditorController;
import eu.etaxonomy.taxeditor.controller.GlobalController;
import eu.etaxonomy.taxeditor.operations.name.RemoveConceptRelationOperation;

/**
 * @author n.hoffmann
 * @created 03.02.2009
 * @version 1.0
 */
public class RemoveConceptAction extends Action {
	private static final Logger logger = Logger
			.getLogger(RemoveConceptAction.class);
	
	private static String text = "Remove concept relation from taxon"; //$NON-NLS-1$
	private static ImageDescriptor image = TaxEditorPlugin.getDefault()
			.getImageDescriptor(ITaxEditorConstants.ACTIVE_DELETE_ICON);

	private TaxonRelationshipType relationshipType;

	private Taxon relatedTaxon;

	private Taxon taxon;
	
	private RemoveConceptAction(){
		super(text, image);
	}

	public RemoveConceptAction(Taxon taxon, Taxon relatedTaxon,
			TaxonRelationshipType relationshipType) {
		this();
		this.taxon = taxon;
		this.relatedTaxon = relatedTaxon;
		this.relationshipType = relationshipType;
	}
	
	@Deprecated
	public void run() {
		IUndoableOperation operation = new RemoveConceptRelationOperation
				(this.getText(), EditorController.getUndoContext(taxon), taxon, relatedTaxon, relationshipType);
		
		GlobalController.executeOperation(operation);
	}

	
}
