// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.editor.images;

import java.net.MalformedURLException;
import java.net.URL;

import org.apache.log4j.Logger;
import org.eclipse.jface.dialogs.IInputValidator;
import org.eclipse.jface.dialogs.InputDialog;
import org.eclipse.jface.window.Window;
import org.eclipse.swt.widgets.Shell;

import eu.etaxonomy.taxeditor.controller.GlobalController;

/**
 * @author p.ciardelli
 * @created 31.03.2009
 * @version 1.0
 */
public class UrlDialog extends InputDialog {
	private static final Logger logger = Logger.getLogger(UrlDialog.class);
	private URL url;
		
	/**
	 * @param parentShell
	 * @param dialogTitle
	 * @param dialogMessage
	 * @param initialValue
	 * @param validator
	 */
	private UrlDialog(Shell parentShell, String dialogTitle,
			String dialogMessage) {
		super(parentShell, dialogTitle, 
				dialogMessage, "http://", new IInputValidator() {

					public String isValid(String text) {
						URL url = null;
						try {
							url = new URL(text);
						} catch (MalformedURLException e) {
							return "URL not correctly formed.";
						}
						
						if (text.length() <= "http://".length()) {
							return "";
						}
						return null;
					}
			
		});
	}

	private URL getUrl() {
		URL url = null;
		try {
			url = new URL(getValue());
		} catch (MalformedURLException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		return url;
	}
	
	public static URL getUrl(String dialogTitle,
			String dialogMessage) {
		UrlDialog dialog = new UrlDialog(GlobalController.getShell(), 
				dialogTitle, 
				dialogMessage);
		if (dialog.open() == Window.CANCEL) {
			return null;
		}
		return dialog.getUrl();
	}
}
