// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.annotatedlineeditor;

import java.util.Set;

/**
 * 
 * 
 * @author p.ciardelli
 * @created 25.06.2009
 * @version 1.0
 * @param <T>
 */
public interface IEntityContainer<T> {

	T getEntity();
	
	String getEditableText();
	
	Set<T> getAttachedEntities();
	
	void markAsMerged(T mergeTarget);
	
	void markAsDeleted();
	
	void markAsNew(boolean isNew);
	
	boolean isMarkedAsMerged();
	
	boolean isMarkedAsDeleted();
	
	boolean isMarkedAsNew();

	void setText(String text);

	/**
	 * @return
	 */
	T getMergeTarget();

	/**
	 * @return
	 */
	boolean isDirty();

	/**
	 * @param b
	 */
	void setDirty(boolean dirty);
}
