/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.editor.name;

import org.apache.log4j.Logger;
import org.eclipse.swt.graphics.Font;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.views.properties.IPropertySource;

import eu.etaxonomy.cdm.model.name.TaxonNameBase;
import eu.etaxonomy.cdm.model.taxon.Taxon;
import eu.etaxonomy.taxeditor.propertysheet.name.AcceptedTaxonPropertySource;

/**
 * @author p.ciardelli
 * @created 13.01.2009
 * @version 1.0
 */
public class AcceptedNameComposite extends NameComposite<Taxon> {
	@SuppressWarnings("unused")
	private static final Logger logger = Logger
			.getLogger(AcceptedNameComposite.class);
	
	public AcceptedNameComposite(TaxonNameEditor editor, Composite groupComposite) {
		super(editor, groupComposite, editor.getTaxon());
	}


	public void initializeComposite(){
//		setIsDraggable(false);
		setIcon(ACCEPTED_ICON);
		setFont(getViewerFont());
		setIndent(ACCEPTED_INDENT);
		
		initTextViewer(getEditorTaxon());
	}
	
	public IPropertySource getPropertySource() {
		return new AcceptedTaxonPropertySource(getEditorTaxon());
	}
	
	@Override
	protected Font getViewerFont() {
		return ACCEPTED_FONT;
	}

	@Override
	public TaxonNameBase getName() {
		return getEditorTaxon().getName();
	}
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.name.NameComposite#setName()
	 */
	@Override
	public void setName(TaxonNameBase name) {
		getEditorTaxon().setName(name);
	}
	
	public Object getData () {
		return getEditorTaxon();
	}
}