// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.forms;

import org.apache.log4j.Logger;
import org.eclipse.jface.util.IPropertyChangeListener;
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.events.SelectionListener;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;

/**
 * @author n.hoffmann
 * @created Nov 5, 2009
 * @version 1.0
 */
public class CheckboxComposite extends AbstractFormComposite implements SelectionListener {

	private static final Logger logger = Logger
			.getLogger(CheckboxComposite.class);
	
	private Button checkbox;
	
	/**
	 * 
	 * @param parent
	 * @param label
	 * @param initialState
	 * @param listener
	 * @param style
	 */
	public CheckboxComposite(Composite parent, String label, boolean initialState,
			IPropertyChangeListener listener, int style) {
		super(parent, listener, style);
	
		checkbox = toolkit.createButton(this, label, SWT.CHECK | style);
		checkbox.setLayoutData(new GridData(SWT.LEFT, SWT.TOP, false, false));
		
		checkbox.setSelection(initialState);
		
		checkbox.addSelectionListener(this);
	}

	public void setSelection(boolean selected){
		checkbox.removeSelectionListener(this);
		checkbox.setSelection(selected);
		checkbox.addSelectionListener(this);
	}
	
	public boolean getSelection(){
		return checkbox.getSelection();
	}

	/* (non-Javadoc)
	 * @see org.eclipse.swt.events.SelectionListener#widgetSelected(org.eclipse.swt.events.SelectionEvent)
	 */
	public void widgetSelected(SelectionEvent e) {
		firePropertyChangeEvent(null);
	}
	
	public void widgetDefaultSelected(SelectionEvent e) {}
}
