// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.forms.entitysections;

import org.apache.log4j.Logger;
import org.eclipse.jface.util.IPropertyChangeListener;
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionListener;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;

import eu.etaxonomy.cdm.model.common.VersionableEntity;
import eu.etaxonomy.taxeditor.forms.AbstractFormComposite;

/**
 * @author n.hoffmann
 * @created Nov 16, 2009
 * @version 1.0
 */
public abstract class AbstractEntitySetElementComposite<T extends VersionableEntity> extends AbstractFormComposite {

	private static final Logger logger = Logger
			.getLogger(AbstractEntitySetElementComposite.class);
	
	protected T element;
	
	protected IPropertyChangeListener propertyChangeListener;

	private Composite container;

	private Composite box;

	private Button button_remove;
	
	/**
	 * @param parent
	 * @param propertyChangelistener
	 * @param style
	 */
	public AbstractEntitySetElementComposite(Composite parent, T element, SelectionListener removeListener,
			IPropertyChangeListener propertyChangelistener, int style) {
		super(parent, propertyChangelistener, style);
				
		box = toolkit.createComposite(this);
		box.setLayout(new GridLayout(2, false));
		box.setLayoutData(FILL_GRID());
		
		container = toolkit.createComposite(box);
		container.setLayout(new GridLayout());
		container.setLayoutData(FILL_GRID());
		button_remove = toolkit.createButton(box, "Remove", SWT.PUSH);
		button_remove.setLayoutData(new GridData(SWT.RIGHT, SWT.TOP, false, false));
		
		button_remove.addSelectionListener(removeListener);
		
		createControls(container, style);
		
		setElement(element);		
	}
	
	public abstract void setElement(T element);
	
	
	public T getElement(){
		return element;
	}
	
	public abstract void createControls(Composite parent, int style);

}
