/**
 * 
 */
package eu.etaxonomy.taxeditor.forms.entitysections;

import org.eclipse.jface.util.IPropertyChangeListener;
import org.eclipse.jface.util.PropertyChangeEvent;
import org.eclipse.swt.events.SelectionListener;
import org.eclipse.swt.widgets.Composite;

import eu.etaxonomy.cdm.model.common.Annotation;
import eu.etaxonomy.taxeditor.forms.MultilineTextWithLabel;

/**
 * @author nho
 *
 */
public class AnnotationComposite extends AbstractEntitySetElementComposite<Annotation>{

	private MultilineTextWithLabel text;

	/**
	 * 
	 * @param parent
	 * @param annotation
	 * @param propertyChangeListener 
	 * @param style
	 */
	public AnnotationComposite(Composite parent, Annotation annotation, SelectionListener removeListener, IPropertyChangeListener propertyChangeListener, int style) {
		super(parent, annotation, removeListener, propertyChangeListener, style);
	}
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.entitysections.AbstractEntitySetComposite#createControls(org.eclipse.swt.widgets.Composite)
	 */
	@Override
	public void createControls(Composite parent, int style) {
		text = toolkit.createMultilineTextWithLabel(parent, "Annotation", propertyChangeListener, 100, style);
	}
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.entitysections.AbstractEntitySetComposite#setEntity(eu.etaxonomy.cdm.model.common.AnnotatableEntity)
	 */
	@Override
	public void setElement(Annotation entity) {
		this.element = entity;
		text.setText(entity.getText());
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.AbstractFormComposite#propertyChange(org.eclipse.jface.util.PropertyChangeEvent)
	 */
	@Override
	public void propertyChange(PropertyChangeEvent event) {
		element.setText(text.getText());
		
		super.propertyChange(event);
	}
}
