// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.forms.termcombos;

import java.util.List;

import org.apache.log4j.Logger;
import org.eclipse.jface.util.IPropertyChangeListener;
import org.eclipse.swt.widgets.Composite;

import eu.etaxonomy.cdm.model.common.ExtensionType;
import eu.etaxonomy.taxeditor.preference.PreferencesUtil;

/**
 * @author n.hoffmann
 * @created Nov 16, 2009
 * @version 1.0
 */
public class ExtensionTypeComboComposite extends AbstractTermComboComposite<ExtensionType> {

	private static final Logger logger = Logger
			.getLogger(ExtensionTypeComboComposite.class);
	
	private static final int VISIBLE_ITEMS = 10;
	
	/**
	 * @param parent
	 * @param labelString
	 * @param selection
	 * @param listener
	 * @param visibleItems
	 * @param style
	 */
	public ExtensionTypeComboComposite(Composite parent, String labelString,
			ExtensionType selection, IPropertyChangeListener listener, int style) {
		super(parent, labelString, selection, listener, VISIBLE_ITEMS, style);
	}


	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.termcombos.AbstractTermComboComposite#preferredTerms()
	 */
	@Override
	protected List<ExtensionType> preferredTerms() {
		return PreferencesUtil.getPreferredExtensionTypes();
	}
}
