/**
 * 
 */
package eu.etaxonomy.taxeditor.propertysheet;

import eu.etaxonomy.cdm.model.description.DescriptionElementBase;
import eu.etaxonomy.cdm.model.description.TaxonNameDescription;
import eu.etaxonomy.cdm.model.media.Media;
import eu.etaxonomy.cdm.model.media.MediaRepresentation;
import eu.etaxonomy.cdm.model.media.MediaRepresentationPart;

/**
 * @author nho
 *
 */
public class ProtologuePropertySource extends CollectionPropertySource {

	public ProtologuePropertySource(TaxonNameDescription description) {
		super(description.getElements());
	}
	
	@Override
	protected String getItemDisplayName(Object item) {
		// No display names on individual protologues
		return "";
	}

	@Override
	public Object getPropertyValue(Object id) {
		if (id instanceof DescriptionElementBase) {
			DescriptionElementBase descriptionElement = (DescriptionElementBase) id;
			for(Media media : descriptionElement.getMedia()){
				for(MediaRepresentation mediaRepresentation : media.getRepresentations()){
					for(MediaRepresentationPart mediaRepresentationPart : mediaRepresentation.getParts()){
						return mediaRepresentationPart.getUri();
					}
				}
			}
		}
		return null;
	}

	@Override
	public void setPropertyValue(Object id, Object value) {
		// Fields not editable in property sheet view
	}

	@Override
	public String toString() {
		// "Annotations" header has no value
		return "";
	}

}
