/**
 * Copyright (C) 2007 EDIT
 * European Distributed Institute of Taxonomy 
 * http://www.e-taxonomy.eu
 * 
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */

package eu.etaxonomy.taxeditor.propertysheet.namerelations.wizard;

import org.eclipse.core.databinding.observable.list.WritableList;
import org.eclipse.jface.wizard.Wizard;

import eu.etaxonomy.cdm.model.name.TaxonNameBase;

/**
 * @author p.ciardelli
 * @created 04.06.2008
 * @version 1.0
 */
public class NameRelationWizard extends Wizard {
	
	public static final String ID = "eu.etaxonomy.taxeditor.namerelationwizard";

	private TaxonNameBase<?, ?> name;
	private WritableList nameRelationsList;

	private ChooseRelationWizardPage chooseRelationPage;

//	private NameRelationWizardModel relationModel;

	public NameRelationWizard(TaxonNameBase<?, ?> name, WritableList nameRelationsList) {
		super();
		
		this.name = name;
		this.nameRelationsList = nameRelationsList;
	}

	/* (non-Javadoc)
	 * @see org.eclipse.jface.wizard.Wizard#addPages()
	 */
	public void addPages() {
    	chooseRelationPage = new ChooseRelationWizardPage(name, nameRelationsList);
    	addPage(chooseRelationPage);
    }
	
	@Override
	public boolean performFinish() {

		chooseRelationPage.setPageComplete(true);
		
		return true;
	}
}